This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 480245 - Printer paper size keeps being reduced
Printer paper size keeps being reduced
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 16:15 EST by Andrea
Modified: 2009-07-14 12:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:01:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 559914 None None None Never
GNOME Desktop 567806 None None None Never

  None (edit)
Description Andrea 2009-01-15 16:15:28 EST
Description of problem:

After selecting certain paper sizes GIMP scales down the sizes whenever the
Page Setup dialog is displayed again.


Version-Release number of selected component (if applicable):

Bug present in 2.6.3 ad 2.6.4 (the latter coming from the testing rpm repo)
No problem with the previous rpm, 2.4.7

How reproducible:
Always

Steps to Reproduce:
1. Open a picture
2. Open the Page Setup
3. Select a printer (not "any printer") in "Format for"
4. Select a paper size (e.g. photo 4x6) (GIMP shows the correct page sizes)
5. Click Apply
6. Reopen page setup (sizes will have been scaled down)
7. repeat 6.

  
Actual results:

The sizes of the page are constantly scaled down e.g. for photo 4x6

1st) 101.6 x 152.4 (correct)
2nd) 53.6 x 35.8
3rd) 19 x 12.6
4th) 6.7 x 4.5
5th) 2.4 x 1.6


Expected results:
Page size stays at the initial selection.


Additional info:

1) GIMP honors those invalid sizes when printing. It actually uses the "next"
values in the list, so that it is impossible to use the correct initial values

2) Starting from the 2nd access to Page Setup, the "Format for": field
(initially set to the selected printer) is reverted to "Any printer", while the
name of the format is kept (i.e. to a value that does not belong to "any
printer").

3) Except for the first access, one does not need to click Apply, even Cancel
triggers an other down scaling of the sizes.
Comment 1 Andrea 2009-01-19 16:22:05 EST
The same happens of a PS3 running Fedora 10.
Comment 2 Andrea 2009-01-22 16:40:50 EST
The bug has been fixed in GTK+ on 03/12/2008 with commit 21841.
It would be nice to have an update of GTK+ in Fedora 9 and 10.
Comment 3 Andrea 2009-02-16 16:19:28 EST
Hi,

I've just received an update of gtk2 to 2.12.12-2.
Is there any change the patch for this bug will be added to Fedora 9?

Andrea
Comment 4 Andrey V. Henneberg 2009-03-21 07:36:18 EDT
Hello,
I have the same problem on RussianFedora10 with latest updates. Current GTK+ is gtk2-2.14.7-7.fc10.i386 (from 'updates-testing').
Comment 5 Bug Zapper 2009-06-09 23:29:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:01:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.